__gnu_parallel::__multiway_merge_k_variant_sentinel_switch< false, __stable, _RAIterIterator, _RAIter3, _DifferenceTp, _Compare > Struct Template Reference

`#include <multiway_merge.h>`

## Public Member Functions

_RAIter3 | operator() (_RAIterIterator __seqs_begin, _RAIterIterator __seqs_end, _RAIter3 __target, const typename std::iterator_traits< typename std::iterator_traits< _RAIterIterator >::value_type::first_type >::value_type &__sentinel, _DifferenceTp __length, _Compare __comp)

## Detailed Description

template<bool __stable, typename _RAIterIterator, typename _RAIter3, typename _DifferenceTp, typename _Compare>
struct __gnu_parallel::__multiway_merge_k_variant_sentinel_switch< false, __stable, _RAIterIterator, _RAIter3, _DifferenceTp, _Compare >

Switch for k-way merging with __sentinels turned off.

Definition at line 872 of file multiway_merge.h.

## Member Function Documentation

## operator()()

template<bool __stable, typename _RAIterIterator , typename _RAIter3 , typename _DifferenceTp , typename _Compare >

_RAIter3 __gnu_parallel::__multiway_merge_k_variant_sentinel_switch< false, __stable, _RAIterIterator, _RAIter3, _DifferenceTp, _Compare >::operator() | ( | _RAIterIterator | __seqs_begin,
|  | _RAIterIterator | __seqs_end,
|  | _RAIter3 | __target,
|  | const typename std::iterator_traits< typename std::iterator_traits< _RAIterIterator >::value_type::first_type >::value_type & | __sentinel,
|  | _DifferenceTp | __length,
|  | _Compare | __comp
| ) |  |

inline

Definition at line 878 of file multiway_merge.h.

The documentation for this struct was generated from the following file:

- multiway_merge.h